## class OSGGA_EXPORT osgGA::AnimationPathManipulator

## Inheritance:

### Public Methods

AnimationPathManipulator( osg::AnimationPath* animationPath=0 )
AnimationPathManipulator( const std::string& filename )
virtual const char* className() const
void setPrintOutTimingInfo(bool printOutTiminInfo)
bool getPrintOutTimingInfo() const
virtual void setByMatrix(const osg::Matrixd& matrix)
  set the position of the matrix manipulator using a 4x4 Matrix
virtual void setByInverseMatrix(const osg::Matrixd& matrix)
  set the position of the matrix manipulator using a 4x4 Matrix
virtual osg::Matrixd getMatrix() const
  get the position of the manipulator as 4x4 Matrix
virtual osg::Matrixd getInverseMatrix() const
  get the position of the manipulator as a inverse matrix of the manipulator, typically used as a model view matrix
void setAnimationPath( osg::AnimationPath* animationPath )
osg::AnimationPath* getAnimationPath()
const osg::AnimationPath* getAnimationPath() const
bool valid() const
void init(const GUIEventAdapter& ea, GUIActionAdapter& us)
void home(const GUIEventAdapter& ea, GUIActionAdapter& us)
virtual bool handle(const GUIEventAdapter& ea, GUIActionAdapter& us)
virtual void getUsage(osg::ApplicationUsage& usage) const
  Get the keyboard and mouse usage of this manipulator

### Protected Fields

bool _valid
bool _printOutTiminInfo
osg::ref_ptr<osg::AnimationPath> _animationPath
double _timeOffset
double _timeScale
double _pauseTime
bool _isPaused
double _realStartOfTimedPeriod
double _animStartOfTimedPeriod
int _numOfFramesSinceStartOfTimedPeriod
osg::Matrixd _matrix

### Protected Methods

void handleFrame( double time )

### Inherited from MatrixManipulator:

### Public Methods

virtual osgUtil::SceneView::FusionDistanceMode getFusionDistanceMode() const
virtual float getFusionDistanceValue() const
virtual void setNode(osg::Node*)
virtual const osg::Node* getNode() const
virtual osg::Node* getNode()
virtual void accept(GUIEventHandlerVisitor& v)

### Inherited from GUIEventHandler:

### Public Methods

META_Object (osgGA, GUIEventHandler) const () const
virtual CompositeGUIEventHandler* getComposite()

## Documentation

`AnimationPathManipulator( osg::AnimationPath* animationPath=0 )`

`AnimationPathManipulator( const std::string& filename )`

`virtual const char* className() const`

`void setPrintOutTimingInfo(bool printOutTiminInfo)`

`bool getPrintOutTimingInfo() const`

`virtual void setByMatrix(const osg::Matrixd& matrix)`
  set the position of the matrix manipulator using a 4x4 Matrix

`virtual void setByInverseMatrix(const osg::Matrixd& matrix)`
  set the position of the matrix manipulator using a 4x4 Matrix

`virtual osg::Matrixd getMatrix() const`
  get the position of the manipulator as 4x4 Matrix

`virtual osg::Matrixd getInverseMatrix() const`
  get the position of the manipulator as a inverse matrix of the manipulator, typically used as a model view matrix

`void setAnimationPath( osg::AnimationPath* animationPath )`

`osg::AnimationPath* getAnimationPath()`

`const osg::AnimationPath* getAnimationPath() const`

`bool valid() const`

`void init(const GUIEventAdapter& ea, GUIActionAdapter& us)`

`void home(const GUIEventAdapter& ea, GUIActionAdapter& us)`

`virtual bool handle(const GUIEventAdapter& ea, GUIActionAdapter& us)`

`virtual void getUsage(osg::ApplicationUsage& usage) const`
  Get the keyboard and mouse usage of this manipulator

`bool _valid`

`bool _printOutTiminInfo`

`void handleFrame( double time )`

`osg::ref_ptr<osg::AnimationPath> _animationPath`

`double _timeOffset`

`double _timeScale`

`double _pauseTime`

`bool _isPaused`

`double _realStartOfTimedPeriod`

`double _animStartOfTimedPeriod`

`int _numOfFramesSinceStartOfTimedPeriod`

`osg::Matrixd _matrix`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.